package boot.common.bean;

import lombok.*;

import java.io.Serializable;
import java.util.Date;

@Data
@EqualsAndHashCode
@NoArgsConstructor
@AllArgsConstructor
public class OnlineUser implements Serializable {
    private String userName;
    private String nickName;
    private String job;
    private String browser;
    private String ip;
    private String address;
    private String key;
    private Date loginTime;

    @Override
    public String toString() {
        return "OnlineUser{" +
                "userName='" + userName + '\'' +
                ", nickName='" + nickName + '\'' +
                ", job='" + job + '\'' +
                ", browser='" + browser + '\'' +
                ", ip='" + ip + '\'' +
                ", address='" + address + '\'' +
                ", key='" + key + '\'' +
                ", loginTime=" + loginTime +
                '}';
    }
}