package boot.modules.user.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import boot.modules.user.pojo.User;
import boot.modules.user.service.UserService;
import boot.modules.user.mapper.UserMapper;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author Lin
 * @description 针对表【user(用户表)】的数据库操作Service实现
 * @createDate 2024-05-29 23:44:49
 */
@Service
@Transactional(rollbackFor = RuntimeException.class)
public class UserServiceImpl extends ServiceImpl<UserMapper, User> implements UserService {

}




